#ifndef _TERMCAP_H_
#define _TERMCAP_H_

#ifdef __cplusplus
extern "C" {
#endif

#ifndef __STRICT_ANSI__
#ifndef _POSIX_SOURCE

extern char  PC;		/* pad char, default ^@ */
extern char  *BC;		/* backspace string, default ^H */
extern char  *UP;		/* string for cursor up */
extern short ospeed;		/* output speed, see tputs.c */

int tgetent(char *_bp, char *_name);
int tgetnum(char *_id);
int tgetflag(char *_id);
char *tgetstr(char *_id, char **_area);
char *tgoto(char *_cm, int _destcol, int _destline);
void tputs(char *_cp, int _affcnt, int (*_outc)(int));

#endif /* !_POSIX_SOURCE */
#endif /* !__STRICT_ANSI__ */

#ifdef __cplusplus
}
#endif

#endif
